#include<math.h>
#include<stdio.h>

typedef struct
{
   float real;
   float imag;
} TComplexo;

TComplexo EntrarNC(void)
{
   TComplexo n;
   printf("Parte real do numero complexo: ");
   scanf("%f", &n.real);
   printf("Parte imaginaria do numero complexo: ");
   scanf("%f", &n.imag);
   return n;
}

void ImprimirNC(TComplexo n)
{
   printf("(%0.2f) + (%0.2f)i\n", n.real, n.imag);
}

float Modulo(TComplexo n)
{
   return sqrt(n.real*n.real + n.imag*n.imag);
}

TComplexo Produto(TComplexo n1, TComplexo n2)
{
   TComplexo res;

   res.real = n1.real*n2.real - n1.imag*n2.imag;
   res.imag = n1.real*n2.imag + n1.imag*n2.real;

   return res;
}

int main(void)
{
   int esc;
   TComplexo n1,n2,n;
   float f;
   do
   {
      printf("Calculadora complexa\n");
      printf("0- Sair\n");
      printf("1- Calcular modulo\n");
      printf("2- Multiplicar dois complexos\n");
      scanf("%d", &esc);
      switch(esc)
      {
         case 0:
            printf("Saida\n");
            break;
         case 1:
            n1 = EntrarNC();
            f = Modulo(n1);
            printf("O modulo e: %.2f\n", f);
            break;
         case 2:
            n1 = EntrarNC();
            n2 = EntrarNC();
            n = Produto(n1,n2);
            ImprimirNC(n);
            break;
         default:
            printf("Escolha invalida\n");
      }
   }
   while (esc != 0);

   return 0;
}
